org.eclipse.rdf4j.model.util.language

## Class Iso639

- java.lang.Object
- - org.eclipse.rdf4j.model.util.language.Iso639

- All Implemented Interfaces:
    LanguageTagCodes

  Deprecated.
  Use `instead`

      @Deprecated
      public class Iso639
      extends Object
      implements LanguageTagCodes

  Language codes from ISO639-1 and ISO639-2.

  An encapsulation of the registry of ISO639-1 and ISO639-2 codes as found at http://lcweb.loc.gov/standards/iso639-2/ englangn.html on the 24th July 2001, and dated 12th October 2000.

  Author:
    jjc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `bibliographicCode` Deprecated. The ISO639-2 three character Bibliographic Code.
    `int` | `classification` Deprecated. The bitwise OR of all applicable values from `LanguageTagCodes`.
    `String` | `name` Deprecated. The name of the language in English.
    `String` | `terminologyCode` Deprecated. The ISO639-2 three character Terminology Code.
    `String` | `twoCharCode` Deprecated. The ISO639-1 two character code.

    - ### Fields inherited from interface org.eclipse.rdf4j.model.util.language.LanguageTagCodes

      `LT_DEFAULT, LT_EXTRA, LT_IANA, LT_IANA_DEPRECATED, LT_ILLEGAL, LT_ISO3166, LT_ISO639, LT_LOCAL_USE, LT_MULTIPLE, LT_PRIVATE_USE, LT_UNDETERMINED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Iso639` | `find(String lang)` Deprecated. Look an ISO-639 code up in the list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### classification

          public final int classification

      Deprecated.
      The bitwise OR of all applicable values from `LanguageTagCodes`. The possibilities are:
      - `LT_ISO639`
      - `LT_ISO639|LT_MULTIPLE` i.e. `mul`
      - `LT_ISO639|LT_UNDETERMINED` i.e. `und`
      - `LT_ISO639|LT_LOCAL_USE` e.g. `qaa`

    - #### twoCharCode

          public final String twoCharCode

      Deprecated.
      The ISO639-1 two character code.

    - #### terminologyCode

          public final String terminologyCode

      Deprecated.
      The ISO639-2 three character Terminology Code.

    - #### bibliographicCode

          public final String bibliographicCode

      Deprecated.
      The ISO639-2 three character Bibliographic Code.

    - #### name

          public final String name

      Deprecated.
      The name of the language in English.

  - ### Method Detail

    - #### find

          public static Iso639 find(String lang)

      Deprecated.
      Look an ISO-639 code up in the list.
      Parameters:
        `lang` - The two or three character code to look up.
      Returns:
        The corresponding Iso639 object, or null if not in the list.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.